<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\TestingTemp;
use App\Models\User;

class TestingTempPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any TestingTemp');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, TestingTemp $testingtemp): bool
    {
        return $user->checkPermissionTo('view TestingTemp');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create TestingTemp');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, TestingTemp $testingtemp): bool
    {
        return $user->checkPermissionTo('update TestingTemp');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, TestingTemp $testingtemp): bool
    {
        return $user->checkPermissionTo('delete TestingTemp');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any TestingTemp');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, TestingTemp $testingtemp): bool
    {
        return $user->checkPermissionTo('restore TestingTemp');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any TestingTemp');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, TestingTemp $testingtemp): bool
    {
        return $user->checkPermissionTo('replicate TestingTemp');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder TestingTemp');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, TestingTemp $testingtemp): bool
    {
        return $user->checkPermissionTo('force-delete TestingTemp');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any TestingTemp');
    }
}
